from setuptools import setup, find_packages

setup(
    name='inventory-provider',
    version="0.65",
    author='GEANT',
    author_email='swd@geant.org',
    description='Dashboard inventory provider',
    url=('https://gitlab.geant.net/live-projects'
         '/dashboardv3/inventory-provider'),
    packages=find_packages(),
    install_requires=[
        'click',
        'mysql-connector',
        'pysnmp',
        'jsonschema==3.2.0',
        'paramiko',
        'flask',
        'redis==3.2.1',
        'kombu==4.5.0',
        'vine==1.3.0',
        'celery==4.3.0',
        'junos-eznc==2.2.1',
        'lxml',
        'requests',
        'netifaces',
        'tree-format'
    ],
    entry_points={
        'console_scripts': [
            'monitor-tasks=inventory_provider.tasks.monitor:run'
        ]
    },
    include_package_data=True,
)
